=== debian/changelog ===
0ad (0~r11339-1) unstable; urgency=low

  * Initial release (Closes: #594800)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 29 Mar 2012 16:13:33 -0700
