=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_build:
	build/workspaces/update-workspaces.sh \
		--bindir=/usr/games \
		--libdir=/usr/lib/games/0ad \
		--datadir=/usr/share/games/0ad \
		--with-system-enet \
		--with-system-nvtt \
		--with-system-mozjs185

	$(MAKE) config=release -C build/workspaces/gcc

override_dh_auto_test:
	LD_LIBRARY_PATH=binaries/system binaries/system/test \
	-libdir binaries/system

override_dh_auto_install:
	install -Dm 0755 build/resources/0ad.sh $(CURDIR)/debian/tmp/usr/games/0ad
	dh_auto_install

override_dh_strip:
	dh_strip -p 0ad --dbg-package=0ad-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz
