=== debian/changelog ===
0ad (0~r11863-2) unstable; urgency=low

  * Add stricter dependency on 0ad-data. (Closes: #673526)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 20 May 2012 01:48:59 -0700

0ad (0~r11863-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
  * Add debian/patches/enable-hardening-relro.patch to build using the
    "read-only relocation" link flag, as suggested by lintian.
  * Add build-depends on libxcursor-dev.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 16 May 2012 23:50:12 -0700

0ad (0~r11339-2) unstable; urgency=low

  * Add debian/patches/fix-kfreebsd-ftbfs.patch to fix FTBFS on kfreebsd.
  * Update debian/0ad.6.
  * Add build-depends on dpkg-dev (>= 1.15.5) for xz compression support.
  * Change build-depends on libjpeg8-dev to libjpeg-dev.
  * Change build-depends on libpng12-dev to libpng-dev. (Closes: #668453)
  * Add alternate build-depends on libcurl4-dev.
  * Add alternate dependency on fam. (Closes: #668353)
  * Override dh_auto_clean to clean source properly. (Closes: #668686)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 26 Apr 2012 19:12:26 -0700
