=== debian/control ===
--- 
+++ 
@@ -6,21 +6,23 @@
 Build-Depends:
  autoconf,
  debhelper (>= 9),
+ dpkg-dev (>= 1.15.5),
  libboost-dev,
  libboost-filesystem-dev,
  libboost-signals-dev,
- libcurl4-gnutls-dev,
+ libcurl4-gnutls-dev | libcurl4-dev,
  libenet-dev (>= 1.3),
  libgamin-dev,
- libjpeg8-dev,
+ libjpeg-dev,
  libmozjs185-dev,
  libnvtt-dev,
  libogg-dev,
  libopenal-dev,
- libpng12-dev,
+ libpng-dev,
  libsdl1.2-dev,
  libvorbis-dev,
  libwxgtk2.8-dev,
+ libxcursor-dev,
  libxml2-dev,
  pkg-config,
  zlib1g-dev
@@ -34,7 +36,8 @@
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends:
  0ad-data (>= ${source:Upstream-Version}),
- gamin,
+ 0ad-data (<= ${source:Version}),
+ gamin | fam,
  ${misc:Depends},
  ${shlibs:Depends}
 Description: Real-time strategy game of ancient warfare
