=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,16 @@
 
 %:
 	dh $@ --parallel
+
+override_dh_auto_clean:
+	build/workspaces/clean-workspaces.sh
+	
+	# Clean up some extra cruft not picked up by clean-workspaces.sh
+	find binaries/system/ -type f ! -name readme.txt -delete
+	rm -f libraries/fcollada/lib/*.a
+	rm -f build/premake/.*.tmp
+	
+	dh_auto_clean
 
 override_dh_auto_build:
 	build/workspaces/update-workspaces.sh \
@@ -15,8 +25,10 @@
 	$(MAKE) config=release -C build/workspaces/gcc
 
 override_dh_auto_test:
-	LD_LIBRARY_PATH=binaries/system binaries/system/test \
-	-libdir binaries/system
+	# Note: Avoid running tests from root dir of build, otherwise certain
+	# tests (i.e. in testsuite MeshManager) may not work as intended and
+	# create spurious directories above root dir (../data/mods).
+	cd binaries/system/ && LD_LIBRARY_PATH=. ./test -libdir .
 
 override_dh_auto_install:
 	install -Dm 0755 build/resources/0ad.sh $(CURDIR)/debian/tmp/usr/games/0ad
