=== debian/watch ===
version=3
opts="dversionmangle=s/0\~r([\d]+).*/$1/" \
http://releases.wildfiregames.com/0ad-r([\d]+)-.*-unix-build\.tar\.xz
