## 0ad 0.0.0+r09356

=== build/premake/src/Makefile ===
# Makefile autogenerated by premake
# Don't edit this file! Instead edit `premake.lua` then rerun `make`
# Options:
#   CONFIG=[Debug|Release]

ifndef CONFIG
  CONFIG=Debug
endif

export CONFIG

.PHONY: all clean Premake

all: Premake

Premake:
	@echo ==== Building Premake ====
	@$(MAKE) --no-print-directory -C Src

clean:
	@$(MAKE) --no-print-directory -C Src clean
