=== debian/control ===
Source: 0ad
Section: games
Priority: optional
Maintainer: Philip Taylor <philip@zaynar.co.uk>, Rico Tzschichholz <ricotz@t-online.de>
Build-Depends: debhelper (>= 7.0.50~),
 pkg-config,
 autoconf,
 cmake,
 nasm,
 libalut-dev,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-signals-dev,
 libcurl3-dev,
 libdevil-dev,
 libenet-dev (< 1.3),
 libgamin-dev,
 libglew1.5-dev,
 libjpeg62-dev,
 libopenal-dev,
 libopenexr-dev,
 libogg-dev,
 libpng12-dev,
 libvorbis-dev,
 libsdl1.2-dev,
 libwxgtk2.8-dev,
 libxml2-dev,
 zlib1g-dev,
 zip,
 python
Standards-Version: 3.9.1
Homepage: http://wildfiregames.com/0ad/

Package: 0ad
Architecture: any
Depends: 0ad-data,
 ${shlibs:Depends},
 ${misc:Depends},
 gamin
Description: real-time strategy game of ancient warfare
  0 A.D. (pronounced "zero ey-dee") is a free, open-source, cross-platform real-time
  strategy (RTS) game of ancient warfare. In short, it is a historically-based
  war/economy game that allows players to relive or rewrite the history of Western
  civilizations, focusing on the years between 500 B.C. and 500 A.D. The project is
  highly ambitious, involving state-of-the-art 3D graphics, detailed artwork, sound,
  and a flexible and powerful custom-built game engine.
  .
  The game has been in development by Wildfire Games (WFG), a group of volunteer,
  hobbyist game developers, since 2001. The code and data are available under the GPL
  license, and the art, sound and documentation are available under CC-BY-SA. In short,
  we consider 0 A.D. an educational celebration of game development and ancient
  history.

Package: 0ad-dbg
Section: debug
Priority: extra
Architecture: any
Depends:  0ad (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: real-time strategy game of ancient warfare (debug symbols)
  0 A.D. (pronounced "zero ey-dee") is a free, open-source, cross-platform real-time
  strategy (RTS) game of ancient warfare. In short, it is a historically-based
  war/economy game that allows players to relive or rewrite the history of Western
  civilizations, focusing on the years between 500 B.C. and 500 A.D. The project is
  highly ambitious, involving state-of-the-art 3D graphics, detailed artwork, sound,
  and a flexible and powerful custom-built game engine.
  .
  The game has been in development by Wildfire Games (WFG), a group of volunteer,
  hobbyist game developers, since 2001. The code and data are available under the GPL
  license, and the art, sound and documentation are available under CC-BY-SA. In short,
  we consider 0 A.D. an educational celebration of game development and ancient
  history.
  .
  This package contains the debugging symbols.
