=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

override_dh_auto_build:
	build/workspaces/update-workspaces.sh \
		--verbose \
		--bindir /usr/games \
		--libdir /usr/lib/games/0ad \
		--datadir /usr/share/games/0ad

	$(MAKE) CONFIG=Release -j2 -C build/workspaces/gcc

	# Run tests
	LD_LIBRARY_PATH=binaries/system binaries/system/test -libdir binaries/system

override_dh_auto_install:
	# Add here commands to install the package into debian/tmp
	install -Dm 0755 binaries/system/pyrogenesis $(CURDIR)/debian/tmp/usr/games/pyrogenesis
	install -Dm 0644 binaries/system/libCollada.so $(CURDIR)/debian/tmp/usr/lib/games/0ad/libCollada.so
	install -Dm 0644 binaries/system/libAtlasUI.so $(CURDIR)/debian/tmp/usr/lib/games/0ad/libAtlasUI.so
	install -Dm 0644 binaries/system/libnvtt.so $(CURDIR)/debian/tmp/usr/lib/games/0ad/libnvtt.so
	install -Dm 0644 binaries/system/libnvcore.so $(CURDIR)/debian/tmp/usr/lib/games/0ad/libnvcore.so
	install -Dm 0644 binaries/system/libnvmath.so $(CURDIR)/debian/tmp/usr/lib/games/0ad/libnvmath.so
	install -Dm 0644 binaries/system/libnvimage.so $(CURDIR)/debian/tmp/usr/lib/games/0ad/libnvimage.so
	install -Dm 0644 binaries/system/libmozjs-ps-release.so $(CURDIR)/debian/tmp/usr/lib/games/0ad/libmozjs-ps-release.so

	sed -i 's/\/usr\/bin/\/usr\/games/' build/resources/0ad.sh
	sed -i 's/\/usr\/bin/\/usr\/games/' build/resources/0ad.desktop

	install -Dm 0755 build/resources/0ad.sh $(CURDIR)/debian/tmp/usr/games/0ad
	install -Dm 0644 build/resources/0ad.png $(CURDIR)/debian/tmp/usr/share/pixmaps/0ad.png
	install -Dm 0644 build/resources/0ad.desktop $(CURDIR)/debian/tmp/usr/share/applications/0ad.desktop

override_dh_strip:
	dh_strip -p 0ad --dbg-package=0ad-dbg

override_dh_builddeb:
	dh_builddeb -- -Z lzma

%:
	dh $@
