=== debian/changelog ===
0ad (0.0.11-1~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise (LP: #1052791)

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 19 Sep 2012 22:55:18 -0500

0ad (0.0.11-1) unstable; urgency=low

  * New upstream release. (Alpha 11 Kronos)
    - Upstream disabled FAM support as of svn r12550, so remove build-depends
      on libgamin-dev, and remove depends on gamin | fam. (Closes: #679087)
    - Refresh existing patches.
  * Add fallback to launcher script when /usr/games is not in $PATH.
    (Closes: #679033)
  * Restrict list of architectures to i386, amd64, and kfreebsd-{i386,amd64}.
    (Closes: #683282)
  * Update debian/watch file.
  * Add DMUA field in debian/control with agreement of sponsor.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 08 Sep 2012 02:43:25 -0700
