## 0ad 0.0.12

=== debian/changelog ===
0ad (0.0.12-1) unstable; urgency=low

  [ Vincent Cheng ]
  * New upstream release.
    - Remove debian/patches/fix-kfreebsd-ftbfs.patch; applied upstream.
    - Refresh remaining patches.
  * Add depends on 0ad-data-common.
  * Add lintian overrides for:
    - outdated-autotools-helper-file (caused by config.{guess,sub} in a
      convenience copy of libenet, which we don't use).
    - version-substvar-for-external-package (not a problem since 0ad and
      0ad-data uploaded at same time, and no other mechanism provided by
      dpkg-gencontrol for packages that want to depend on versioned packages
      built from a separate source package).
  * Update Standards version to 3.9.4, no changes required.
  * Enable verbose build.

  [ Ansgar Burchardt ]
  * debian/control: Remove DM-Upload-Allowed.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Tue, 12 Feb 2013 19:24:59 -0800
